//*******************************************************************************************
//
// Filename : Dlg.cpp
//	
//				Implementation file for CDlg
//
// Copyright (c) 2001 - JL BOYER
//
//*******************************************************************************************


#include "stdafx.h"
#include <commctrl.h>
#include "dlg.h"
#include "gen.h"



extern winampGeneralPurposePlugin plugin;

// ******************************************************************
int CDlg::RealDlgProc(UINT uMsg, WPARAM wParam, LPARAM lParam)
{
	return(FALSE);
}

// ******************************************************************
int CALLBACK CDlg::DlgProc(HWND hDlg, UINT uMsg, WPARAM wParam, LPARAM lParam)
{
	CDlg *pThis = (CDlg *)GetWindowLong(hDlg, DWL_USER);

	if (uMsg == WM_INITDIALOG)
	{
		pThis = (CDlg *)lParam;
		pThis->m_hDlg = hDlg;
		SetWindowLong(hDlg, DWL_USER, lParam);
	}
	else if (!pThis)
	{
		return(FALSE);
	}

	return(pThis->RealDlgProc(uMsg, wParam, lParam));
}

// ******************************************************************
int CDlg::DoModal(UINT idRes, HWND hParent)
{
	return(DialogBoxParam(plugin.hDllInstance, MAKEINTRESOURCE(idRes), hParent,
		(DLGPROC)DlgProc, (LPARAM)this));

}

// ******************************************************************
HWND CDlg::DoModeless(UINT idRes, HWND hParent)
{
	return(CreateDialogParam(plugin.hDllInstance, MAKEINTRESOURCE(idRes), hParent,
		(DLGPROC)DlgProc, (LPARAM)this));
}

