//*******************************************************************************************
//
// Filename : Dlg.h
//	
// Definitions of CDlg Dialog Generic class
//
// Copyright (c) 2001 JL BOYER. All rights reserved
//
//*******************************************************************************************


#ifndef _Dlg_H_
#define _Dlg_H_


// ***************************************************
// Dialog Generic class
class CDlg
{
public:
	CDlg() {m_hDlg=NULL;}
	~CDlg() {}
	int DoModal(UINT idRes, HWND hParent);
	HWND DoModeless(UINT idRes, HWND hParent);

protected:
	static BOOL CALLBACK DlgProc(HWND hDlg, UINT uMsg, WPARAM wParam, LPARAM lParam);
	HWND m_hDlg;

private:
	virtual BOOL RealDlgProc(UINT uMsg, WPARAM wParam, LPARAM lParam);
};


#endif // _Dlg_H_
