//*******************************************************************************************
//
//	Definitions of CDlgColumn
//
// Copyright (c) 2001 JL BOYER. All rights reserved
//
//*******************************************************************************************


#ifndef _DlgColumn_H_
#define _DlgColumn_H_

#include "Dlg.h"
#include "DlgPlaylist.h"

class CDlgColumn: public CDlg
{
public:

	HWND m_hListAvailable;
	HWND m_hListShown;

    int  m_shown[COLUMN_MAX];
    int  m_order[COLUMN_MAX];
    
	CDlgPlaylist *m_pThisPlaylist;

	CDlgColumn(CDlgPlaylist*);
	~CDlgColumn() {};
	operator HWND() const {return(m_hDlg);}
	BOOL DestroyWindow() {BOOL bRet=::DestroyWindow(m_hDlg); m_hDlg = NULL; return(bRet);}

protected:
	virtual BOOL RealDlgProc(UINT uMsg, WPARAM wParam, LPARAM lParam);

private:
	BOOL  m_bColumnsChange;
	BOOL  LoadParam();
	BOOL  SaveParam();
	
	void DoMoveItem( HWND hWnd, BOOL bDown);
	void DoExchangeItem(HWND hFrom, HWND hTo);
	void DoExchangeItemALL(HWND hFrom, HWND hTo);
	void InitLanguage();
};

#endif