//*******************************************************************************************
//
//	Definitions of CDlgDriveVolume "Drive Volume Information"
//
// Copyright (c) 2001 JL BOYER. All rights reserved
//
//*******************************************************************************************


#ifndef _DlgDriveVolume_H_
#define _DlgDriveVolume_H_

#include "Dlg.h"
#include "DlgPlaylist.h"
#include <commctrl.h>

class CDlgDriveVolume: public CDlg
{

private:
	CDlgPlaylist *m_pThisPlaylist;

	HIMAGELIST m_hIml;
	BOOL m_nOldSortColumn;
	BOOL m_bSortOrderAscending;

public:
	CDlgDriveVolume(CDlgPlaylist*) ;
	~CDlgDriveVolume() {};
	operator HWND() const {return(m_hDlg);}
	BOOL DestroyWindow() {BOOL bRet=::DestroyWindow(m_hDlg); m_hDlg = NULL; return(bRet);}

protected:
	virtual BOOL RealDlgProc(UINT uMsg, WPARAM wParam, LPARAM lParam);

private:
	static int CALLBACK ListViewCompareProc(LPARAM lParam1, LPARAM lParam2, LPARAM lParamSort);
	static void GetTypeMediaString(int nTypeMedia, TCHAR *szResult);
	LRESULT NotifyHandler(UINT uMsg, WPARAM wParam, LPARAM lParam,	HINSTANCE hInst);
	void Init();
	void LoadList();
};

#endif