//*******************************************************************************************
//
//	Definitions of CDlgDuplicate  - Dialog "Duplicate Option"
//
// Copyright (c) 2001 JL BOYER. All rights reserved
//
//*******************************************************************************************


#ifndef _DlgDuplicate_H_
#define _DlgDuplicate_H_

#include "Dlg.h"

class CDlgDuplicate: public CDlg
{
private:
	HWND m_hWndUpDownTime;
	HWND m_hWndUpDownFilesize;

public:
	CDlgDuplicate()  {m_hWndUpDownTime=NULL, m_hWndUpDownFilesize=NULL;};
	~CDlgDuplicate() {};
	operator HWND() const {return(m_hDlg);}
	BOOL DestroyWindow() {BOOL bRet=::DestroyWindow(m_hDlg); m_hDlg = NULL; return(bRet);}

protected:
	virtual BOOL RealDlgProc(UINT uMsg, WPARAM wParam, LPARAM lParam);

private:
	void InitLanguage();
	void LoadParam();
	BOOL SaveParam();
	void EnabledUpDownCtrl(int nChkID, int nEditID, HWND hwndUpDown);


};

#endif