//*******************************************************************************************
//
//	Definitions of CDlgID3MassTag  "Page - Mass Tag"
//
// Copyright (c) 2001 JL BOYER. All rights reserved
//
//*******************************************************************************************


#ifndef _DlgID3MassTag_H_
#define _DlgID3MassTag_H_

#include "DlgID3Template.h"


class CDlgID3MassTag: public CDlgID3Template
{
public:
	CDlgID3MassTag(CDlgPlaylist *pThis) : CDlgID3Template(pThis) {};
	~CDlgID3MassTag() {};
	operator HWND() const {return(m_hDlg);}
	BOOL DestroyWindow() {BOOL bRet=::DestroyWindow(m_hDlg); m_hDlg = NULL; return(bRet);}

protected:
	virtual BOOL RealDlgProc(UINT uMsg, WPARAM wParam, LPARAM lParam);

private:
	void Init();
	void InitLanguage();
	void LoadParam();
	void SaveParam();
	void CheckTag2Edit(int nID);
	void EnableGOButton();
	void BtnGO();
	BOOL MassTAG(CMP3Info *mp3i);
};

#endif