//*******************************************************************************************
//
//	Definitions of CDlgID3WriteTagFromFile  "Page - "Write TAG base on filename Page"
//
// Copyright (c) 2001 JL BOYER. All rights reserved
//
//*******************************************************************************************


#ifndef _DlgID3WriteTagFromFile_H_
#define _DlgID3WriteTagFromFile_H_

#include "DlgID3Template.h"

class CDlgID3WriteTagFromFile: public CDlgID3Template
{
public:
	CDlgID3WriteTagFromFile(CDlgPlaylist *pThis) : CDlgID3Template(pThis) {};
	~CDlgID3WriteTagFromFile() {};
	operator HWND() const {return(m_hDlg);}
	BOOL DestroyWindow() {BOOL bRet=::DestroyWindow(m_hDlg); m_hDlg = NULL; return(bRet);}

protected:
	virtual BOOL RealDlgProc(UINT uMsg, WPARAM wParam, LPARAM lParam);

private:
	void InitLanguage();
	void LoadParam();
	void SaveParam();
	void BtnGO();
	BOOL WriteTAGFromFile(CMP3Info *mp3i, int iItem);
};

#endif