//*******************************************************************************************
//
//	Definitions of CDlgStyleHTML
//
// Copyright (c) 2001 JL BOYER. All rights reserved
//
//*******************************************************************************************


#ifndef _DlgStyleHTML_H_
#define _DlgStyleHTML_H_

#include "Dlg.h"

class CDlgStyleHTML: public CDlg
{
private:
	BOOL m_bIsLoading;
	TEMPLATESTRUCT* m_pTemplate;		// modele de style HTML

public:
	CDlgStyleHTML() {};
	~CDlgStyleHTML() {};
	operator HWND() const {return(m_hDlg);}
	BOOL DestroyWindow() {BOOL bRet=::DestroyWindow(m_hDlg); m_hDlg = NULL; return(bRet);}

protected:
	virtual BOOL RealDlgProc(UINT uMsg, WPARAM wParam, LPARAM lParam);

private:
	BOOL  LoadParam();
	BOOL  SaveParam();
	void InitLanguage();
	void doChangeStyle();
	void doChooseColor(int nButton);
	void doDrawBtnColor (LPDRAWITEMSTRUCT lpdis);
	void doEditHexColor(int nEditColor);
	
	void doSaveFontName(int nIndex);
	void doSaveFontStyle(int nIndex);
	void doSaveFontSize(int nIndex);

	COLORREF GetColorButton(int i);	
	void SetColorButton(int i, COLORREF cColorNew);


	
};

#endif