//*******************************************************************************************
//
//	Definitions of CDlgEditMain "Dialog "Tools ID3Tag"
//
// Copyright (c) 2001 JL BOYER. All rights reserved
//
//*******************************************************************************************


#ifndef _DlgEditMain_H_
#define _DlgEditMain_H_

#include "Dlg.h"
#include "DlgPlaylist.h"


#define NUMID3PAGES 6

class CDlgEditMain: public CDlg
{
private: 
	CDlgPlaylist *m_pThisPlaylist;

	HWND m_hwndTabCtrl;					// Handle Tab Control
		//HWND m_ID3PagesWnd[NUMID3PAGES];	// Array handle Pages
	int	 m_ID3PageActive;				// the active page
	CDlg *m_CDlgPage;
	HWND m_hwndPage;	

public:
	CDlgEditMain(CDlgPlaylist*, int nPart) ;
	~CDlgEditMain() {};
	operator HWND() const {return(m_hDlg);}
	BOOL DestroyWindow() {BOOL bRet=::DestroyWindow(m_hDlg); m_hDlg = NULL; return(bRet);}

protected:
	virtual BOOL RealDlgProc(UINT uMsg, WPARAM wParam, LPARAM lParam);

private:
	void InitTab();
	void UpdateID3Page();
	void UpdateBanner(HDC hDC);

};

#endif