//*******************************************************************************************
//
//	Definitions of CDlgID3ConversionTag  "Page - ID3 Conversion /Remove Tag"
//
// Copyright (c) 2001 JL BOYER. All rights reserved
//
//*******************************************************************************************


#ifndef _DlgID3ConversionTag_H_
#define _DlgID3ConversionTag_H_

#include "DlgID3Template.h"


class CDlgID3ConversionTag: public CDlgID3Template
{
public:
	CDlgID3ConversionTag(CDlgPlaylist *pThis) : CDlgID3Template(pThis) {};
	~CDlgID3ConversionTag() {};
	operator HWND() const {return(m_hDlg);}
	BOOL DestroyWindow() {BOOL bRet=::DestroyWindow(m_hDlg); m_hDlg = NULL; return(bRet);}

protected:
	virtual BOOL RealDlgProc(UINT uMsg, WPARAM wParam, LPARAM lParam);
private:
	void InitLanguage();
	void BtnGO(int nAction);
	BOOL CopyID3v1_ID3v2(CMP3Info *mp3i);
	BOOL CopyID3v2_ID3v1(CMP3Info *mp3i);
	BOOL RemoveID3Tag(CMP3Info *mp3i, int nID3Version);
	void ActiveButton(BOOL bEnabled);
	void CopyInfoID3v1_ID3v2(CMP3Info *mp3i, struct ID3V1MP3Info *id3i, int fid);
};

#endif