//*******************************************************************************************
//
//	Definitions of CDlgID3Organize  "Page - ID3 Oragnize"
//
// Copyright (c) 2001 JL BOYER. All rights reserved
//
//*******************************************************************************************


#ifndef _DlgID3Organize_H_
#define _DlgID3Organize_H_

#include "DlgID3Template.h"


class CDlgID3Organize: public CDlgID3Template
{
private:	
	HWND m_hwndList;
	CDlgPlaylist *m_pThisPlaylist;

public:
	CDlgID3Organize(CDlgPlaylist *pThis) : CDlgID3Template(pThis) {};
	~CDlgID3Organize() {};
	operator HWND() const {return(m_hDlg);}
	BOOL DestroyWindow() {BOOL bRet=::DestroyWindow(m_hDlg); m_hDlg = NULL; return(bRet);}

protected:
	virtual BOOL RealDlgProc(UINT uMsg, WPARAM wParam, LPARAM lParam);

private:
	void InitLanguage();
	void LoadParam();
	void SaveParam();
	void BtnGO();
	BOOL OrganizeFile(CMP3Info *mp3i, TCHAR *szPathDest);
	void GetField2Dir(CMP3Info *mp3i, TCHAR *szDir);
	BOOL DirectoryExists(TCHAR *szName) ;
	BOOL FileExists(TCHAR *szName) ;
	void ChooseDirectory();
	BOOL MakeFullDir(TCHAR *szDir);
};

#endif