//*******************************************************************************************
//
//	Definitions of CDlgID3RenameFileFromTag  "Page - "Rename File fromTag"
//
// Copyright (c) 2001 JL BOYER. All rights reserved
//
//*******************************************************************************************


#ifndef _DlgID3RenameFileFromTag_H_
#define _DlgID3RenameFileFromTag_H_

#include "DlgID3Template.h"


class CDlgID3RenameFileFromTag: public CDlgID3Template
{
public:
	CDlgID3RenameFileFromTag(CDlgPlaylist *pThis) : CDlgID3Template(pThis) {};
	~CDlgID3RenameFileFromTag() {};
	operator HWND() const {return(m_hDlg);}
	BOOL DestroyWindow() {BOOL bRet=::DestroyWindow(m_hDlg); m_hDlg = NULL; return(bRet);}

protected:
	virtual BOOL RealDlgProc(UINT uMsg, WPARAM wParam, LPARAM lParam);

private:
	void InitLanguage();
	void LoadParam();
	void SaveParam();
	void BtnGO();
	BOOL RenameFileFromTAG(CMP3Info *mp3i);
	void ValidateFilename(TCHAR *filename);
};

#endif