//*******************************************************************************************
//
//	Definitions of CDlgProperty
//
// Copyright (c) 2001 JL BOYER. All rights reserved
//
//*******************************************************************************************


#ifndef _DlgProperty_H_
#define _DlgProperty_H_

#include "Dlg.h"
#include "DlgPlaylist.h"
#include "priv.h"


class CDlgProperty: public CDlg
{
private: 
	CDlgPlaylist *m_pThisPlaylist;
	BOOL m_bAllPlaylist;
	StrArray m_StrArray;

public:
	CDlgProperty(CDlgPlaylist*, BOOL);
	~CDlgProperty() {};
	operator HWND() const {return(m_hDlg);}
	BOOL DestroyWindow() {BOOL bRet=::DestroyWindow(m_hDlg); m_hDlg = NULL; return(bRet);}

protected:
	virtual BOOL RealDlgProc(UINT uMsg, WPARAM wParam, LPARAM lParam);

private:
	void ShowProperty();
	int FindVector(tstring& str);
	int AddVector(tstring& str);	

};

#endif